Bug 1178516 - "don't ask me again this session" remembers answer forever
Summary: "don't ask me again this session" remembers answer forever
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-04 13:47 UTC by Tim Waugh
Modified: 2016-02-27 02:08 UTC (History)
1 user (show)

Fixed In Version: gnucash-2.6.10-1.fc23 gnucash-2.6.10-1.fc22 gnucash-2.6.11-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-27 02:08:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 742321 0 None None None Never

Description Tim Waugh 2015-01-04 13:47:55 UTC
Description of problem:
The "warnings.permanent" and "warnings.temporary" preferences are both backed by gsettings, and "warnings.temporary" is never cleared.

Version-Release number of selected component (if applicable):
gnucash-2.6.4-1.fc21.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Select a transaction in an account
2.Transaction->Delete Transaction
3.Select 'Remember the answer and don't ask me again this session.'
4.Click Delete Transaction
5.Close application and open it again
6.Select another transaction
7.Transaction->Delete Transaction

Actual results:
2: dialog appears:

Delete the current transaction?
[] Remember the answer and don't ask me again.
[] Remember the answer and don't ask me again this session.
[Cancel] [Delete Transaction]

7: no dialog is shown, transaction deleted

Expected results:
7: the dialog should appear again

Additional info:
The "gsettings get org.gnucash.warnings.temporary reg-trans-del" command retrieves the stored value of this setting. It persists across invocations of the application, so there is nothing session-specific about it.

Comment 1 Fedora End Of Life 2015-11-04 14:25:54 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2015-12-31 22:06:54 UTC
gnucash-2.6.10-1.el7 gnucash-docs-2.6.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-121c7f7daa

Comment 3 Fedora Update System 2015-12-31 22:07:02 UTC
gnucash-2.6.10-1.el7 gnucash-docs-2.6.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-121c7f7daa

Comment 4 Fedora Update System 2015-12-31 22:07:52 UTC
gnucash-docs-2.6.10-1.fc23 gnucash-2.6.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-304adfcb19

Comment 5 Fedora Update System 2015-12-31 22:08:40 UTC
gnucash-docs-2.6.10-1.fc22 gnucash-2.6.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6d8348d0b

Comment 6 Fedora Update System 2016-01-03 02:51:37 UTC
gnucash-2.6.10-1.el7, gnucash-docs-2.6.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-121c7f7daa

Comment 7 Fedora Update System 2016-01-03 03:22:05 UTC
gnucash-2.6.10-1.fc22, gnucash-docs-2.6.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6d8348d0b

Comment 8 Fedora Update System 2016-01-03 03:23:28 UTC
gnucash-2.6.10-1.fc23, gnucash-docs-2.6.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-304adfcb19

Comment 9 Fedora Update System 2016-01-04 18:51:12 UTC
gnucash-2.6.10-1.fc23, gnucash-docs-2.6.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-01-11 00:53:10 UTC
gnucash-2.6.10-1.fc22, gnucash-docs-2.6.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-01-13 04:46:29 UTC
gnucash-2.6.11-1.el7 gnucash-docs-2.6.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-121c7f7daa

Comment 12 Fedora Update System 2016-01-14 10:24:57 UTC
gnucash-2.6.11-1.el7, gnucash-docs-2.6.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-121c7f7daa

Comment 13 Fedora Update System 2016-02-27 02:08:42 UTC
gnucash-2.6.11-1.el7, gnucash-docs-2.6.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.